## org.eclipse.m2m.atl.adt.ui.editor
Class IOccurrencesFinder.OccurrenceLocation

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.editor.IOccurrencesFinder.OccurrenceLocation

Enclosing interface:
  IOccurrencesFinder

    public static class IOccurrencesFinder.OccurrenceLocation

extends java.lang.Object

Element representing a occurrence

Constructor Summary
`IOccurrencesFinder.OccurrenceLocation(int offset, int length, int flags, java.lang.String description)`

Method Summary
`java.lang.String` `getDescription()`
`int` `getFlags()`
`int` `getLength()`
`int` `getOffset()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IOccurrencesFinder.OccurrenceLocation

    public IOccurrencesFinder.OccurrenceLocation(int offset,
                                                 int length,
                                                 int flags,
                                                 java.lang.String description)

Method Detail

### getOffset

    public int getOffset()

### getLength

    public int getLength()

### getFlags

    public int getFlags()

### getDescription

    public java.lang.String getDescription()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2007 IBM Corporation and others. All Rights Reserved.